# SafeKeyGuard

SafeKeyGuard is a secure tool designed to safeguard private cryptographic keys. It provides users with a secure and encrypted backup file, allowing them to store their keys safely. The tool also includes key restoration functionality from the backup.

## Features

- **Secure Backup**: Safely store private keys in an encrypted backup file.
- **Key Restoration**: Restore keys from the encrypted backup.
- **User-Friendly Interface**: Easy-to-use interface for key backup and restoration.
- **Multi-Platform Support**: Compatible with Windows, macOS, and Linux.

## Installation

### Windows

1. Download the latest release from the [Releases](https://github.com/symulacr/SafeKeyGuard/releases) page.
2. Run the installer and follow the on-screen instructions.
3. Launch SafeKeyGuard from the Start menu.

### macOS

1. Install Homebrew if not already installed: `/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/HEAD/install.sh)"`
2. Install SafeKeyGuard: `brew install safekeyguard`
3. Launch SafeKeyGuard from the Terminal: `safekeyguard`

### Linux

1. Install SafeKeyGuard using your package manager (e.g., `apt`, `yum`, `pacman`): `sudo apt install safekeyguard`
2. Launch SafeKeyGuard from the command line: `safekeyguard`

## Usage

1. Launch SafeKeyGuard.
2. Select the option to backup or restore keys.
3. Follow the on-screen instructions to complete the process.

## License

SafeKeyGuard is licensed under the [MIT License](LICENSE).
